/****** Object:  Trigger [dbo].[AccFactorDetail_LastUpdate]    Script Date: 18/10/2024 10:58:45 ب.ظ ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO


CREATE TRIGGER [dbo].[AccFactorDetail_LastUpdate]
ON [dbo].[AccFactorDetail] FOR UPDATE 
	AS
	if not (UPDATE(UpdateDate))
		update AccFactorDetail set UpdateDate=getdate() where id in (select id from inserted)

     	--update AppSetting set TheValue = dbo.StrDate(getdate()) where [Name]='AccFactorDetailLastUpdate'
	return
GO

ALTER TABLE [dbo].[AccFactorDetail] ENABLE TRIGGER [AccFactorDetail_LastUpdate]
GO


